Package com.sun.jna.platform.win32

# Class WinDef.HFONT

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.WinNT.HANDLE
com.sun.jna.platform.win32.WinDef.HFONT

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinDef

public static class WinDef.HFONT extends WinNT.HANDLE
Handle to a font.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HFONT()`
  Instantiates a new hfont.
  `HFONT(Pointer p)`
  Instantiates a new hfont.

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

  `fromNative, setPointer, toString`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, getPointer, hashCode, nativeType, toNative`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HFONT

    public HFONT()
    Instantiates a new hfont.

  - ### HFONT

    public HFONT(Pointer p)
    Instantiates a new hfont.
    Parameters:
      `p` - the p